Java Fehler unter Debian

Bei Problemen mit der Bedienung von TV-Browser, bitte hier posten.
Antworten
barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Java Fehler unter Debian

Beitrag von barand3 » 29 Jun 2018, 17:34

Hallo,
ich erhalte folgende Fehler unter Debian 9

Code: Alles auswählen

Jun 29 16:29:07 debian tvbrowser.desktop[14192]: 16:29:07 WARNUNG: TV-Browser was developed for Sun Java and may not run correctly with your Java implementation.
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_ADD: window 0x2a0002e already in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_ADD: window 0x2a0002e already in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_RAISE_ABOVE: window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_LOWER_BELOW: sibling window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_RAISE_ABOVE: window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_LOWER_BELOW: sibling window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_RAISE_ABOVE: window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_LOWER_BELOW: sibling window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_RAISE_ABOVE: window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: STACK_OP_LOWER_BELOW: sibling window 0x2a0002e (JavaEmbedd) not in stack
Jun 29 16:29:08 debian gnome-shell[1562]: Allocating size to ShellEmbeddedWindow 0x5635db98e390 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
ich habe schon Java deinstalliert und wieder installiert, aber keine Änderung.
Was kann ich tun?

ds10
Site Admin
Beiträge: 16620
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java Fehler unter Debian

Beitrag von ds10 » 29 Jun 2018, 17:46

Ich nehme an, dass nicht Java 8 installiert ist, sondern eine spätere Version. Mit OpenJDK 8 sollte es keine Probleme geben.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 29 Jun 2018, 17:48

Tatsächlich!
ich habe die 9er Version installiert und die Fehler sind weg.
Vielen Dank!

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 02 Jul 2018, 22:56

Der selbe Fehler tritt auch bei der 10er Version aus den offiziellen Sourcen auf.

Und bei der 9er, bekomme ich einen Hinweis von EGPaid, dass ich mit einer zu alten Version unterwegs bin.

Da weiß ich leider nicht weiter???

ds10
Site Admin
Beiträge: 16620
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java Fehler unter Debian

Beitrag von ds10 » 03 Jul 2018, 01:11

Gibt es Java 8 für Debian nicht? Welche Version von EPGpaid ist installiert?
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 03 Jul 2018, 07:16

Doch doch, die Version 8 ist Standard installiert, die bringt aber den selben Fehler.

EPGPaid ist die Version 0.2.5.0 installiert.

ds10
Site Admin
Beiträge: 16620
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java Fehler unter Debian

Beitrag von ds10 » 03 Jul 2018, 11:26

Ich würde empfehlen zuerst alle installierten Java-Versionen zu deinstallieren und danach ausschließlich openjdk-8-jre zu installieren.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 03 Jul 2018, 17:08

Hab ich gemacht, hat leider nichts geholfen, der gleiche Fehler

ds10
Site Admin
Beiträge: 16620
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java Fehler unter Debian

Beitrag von ds10 » 03 Jul 2018, 17:23

Poste hier mal die Debug-Info (unter Hilfe erstellbar), wenn TV-Browser mit Java 9 läuft.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 03 Jul 2018, 20:00

9.debug.txt
(3.27 KiB) 5-mal heruntergeladen
sorry, war unterwegs.
Hier die debug-info von der 9er Version

ds10
Site Admin
Beiträge: 16620
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java Fehler unter Debian

Beitrag von ds10 » 03 Jul 2018, 20:15

Ich habe ein Update für EPGpaid hochgeladen, das müsste die 9er-Version korrekt erkennen.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

barand3
Newbie
Beiträge: 9
Registriert: 01 Jun 2018, 18:06

Re: Java Fehler unter Debian

Beitrag von barand3 » 03 Jul 2018, 20:29

Super!
Das hat geklappt, der Fehler ist verschwunden und EPGPaid meckert nicht mehr rum :D

Ich danke Die vielmals!
Wirklich toll, dass man hier prompte Hilfe bekommt...

Antworten